[lang] Commons Lang 2.x release for Java 9

classic Classic list List threaded Threaded
15 messages Options
Reply | Threaded
Open this post in threaded view
|

[lang] Commons Lang 2.x release for Java 9

Emmanuel Bourg-3
Hi all,

I'd like to prepare a new release of Commons Lang 2 that addresses the
Java 9 compatibility. I have two items in mind for this update, the
automatic module name in the manifest of course, but also the
SystemUtils.isJavaVersionAtLeast() method that is broken with Java 9 and
throws an Exception. This would be a minimal update branched off the
latest 2.6 release.

Do you see anything else that should be addressed in this update?

Emmanuel Bourg

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

garydgregory
I think we should keep the changes to a minimum.

Gary

On Sep 29, 2017 02:08, "Emmanuel Bourg" <[hidden email]> wrote:

> Hi all,
>
> I'd like to prepare a new release of Commons Lang 2 that addresses the
> Java 9 compatibility. I have two items in mind for this update, the
> automatic module name in the manifest of course, but also the
> SystemUtils.isJavaVersionAtLeast() method that is broken with Java 9 and
> throws an Exception. This would be a minimal update branched off the
> latest 2.6 release.
>
> Do you see anything else that should be addressed in this update?
>
> Emmanuel Bourg
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

Benedikt Ritter-4
In reply to this post by Emmanuel Bourg-3


> Am 29.09.2017 um 10:08 schrieb Emmanuel Bourg <[hidden email]>:
>
> Hi all,
>
> I'd like to prepare a new release of Commons Lang 2 that addresses the
> Java 9 compatibility. I have two items in mind for this update, the
> automatic module name in the manifest of course, but also the
> SystemUtils.isJavaVersionAtLeast() method that is broken with Java 9 and
> throws an Exception. This would be a minimal update branched off the
> latest 2.6 release.
>
> Do you see anything else that should be addressed in this update?

+1 go ahead!

Benedikt

>
> Emmanuel Bourg
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

Emmanuel Bourg-3
In reply to this post by Emmanuel Bourg-3
Le 29/09/2017 à 10:08, Emmanuel Bourg a écrit :

> I'd like to prepare a new release of Commons Lang 2 that addresses the
> Java 9 compatibility. I have two items in mind for this update, the
> automatic module name in the manifest of course, but also the
> SystemUtils.isJavaVersionAtLeast() method that is broken with Java 9 and
> throws an Exception. This would be a minimal update branched off the
> latest 2.6 release.

I prepared the changes on GitHub:

  https://github.com/ebourg/commons-lang/tree/LANG_2_X

I started from the 2.x branch since it contained a few fixes worth
keeping. The exception I was seeing with SystemUtils
isJavaVersionAtLeast() was actually fixed in 2.6, so I just added the
automatic module name to the manifest (I used org.apache.commons.lang as
name assuming commons-lang3 would use org.apache.commons.lang3). I
updated the release notes but not the site since it's published from the
master branch.

Please review, I intend to merge the changes and roll the release next week.

Emmanuel Bourg

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

jodastephen
Looks good AFAICT
Stephen

On 9 October 2017 at 14:39, Emmanuel Bourg <[hidden email]> wrote:

> Le 29/09/2017 à 10:08, Emmanuel Bourg a écrit :
>
>> I'd like to prepare a new release of Commons Lang 2 that addresses the
>> Java 9 compatibility. I have two items in mind for this update, the
>> automatic module name in the manifest of course, but also the
>> SystemUtils.isJavaVersionAtLeast() method that is broken with Java 9 and
>> throws an Exception. This would be a minimal update branched off the
>> latest 2.6 release.
>
> I prepared the changes on GitHub:
>
>   https://github.com/ebourg/commons-lang/tree/LANG_2_X
>
> I started from the 2.x branch since it contained a few fixes worth
> keeping. The exception I was seeing with SystemUtils
> isJavaVersionAtLeast() was actually fixed in 2.6, so I just added the
> automatic module name to the manifest (I used org.apache.commons.lang as
> name assuming commons-lang3 would use org.apache.commons.lang3). I
> updated the release notes but not the site since it's published from the
> master branch.
>
> Please review, I intend to merge the changes and roll the release next week.
>
> Emmanuel Bourg
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

garydgregory
In reply to this post by Emmanuel Bourg-3
One way to test isJavaVersionAtLeast for sure would be to install lang 2.7
locally and, for example, take the current [configuration] 2.2 RC and
update the POM to use [lang] 2.7 with the Maven Site plugin. The Maven Site
plugin 3.6 currently blows up on isJavaVersionAtLeast.

Gary

On Mon, Oct 9, 2017 at 7:39 AM, Emmanuel Bourg <[hidden email]> wrote:

> Le 29/09/2017 à 10:08, Emmanuel Bourg a écrit :
>
> > I'd like to prepare a new release of Commons Lang 2 that addresses the
> > Java 9 compatibility. I have two items in mind for this update, the
> > automatic module name in the manifest of course, but also the
> > SystemUtils.isJavaVersionAtLeast() method that is broken with Java 9 and
> > throws an Exception. This would be a minimal update branched off the
> > latest 2.6 release.
>
> I prepared the changes on GitHub:
>
>   https://github.com/ebourg/commons-lang/tree/LANG_2_X
>
> I started from the 2.x branch since it contained a few fixes worth
> keeping. The exception I was seeing with SystemUtils
> isJavaVersionAtLeast() was actually fixed in 2.6, so I just added the
> automatic module name to the manifest (I used org.apache.commons.lang as
> name assuming commons-lang3 would use org.apache.commons.lang3). I
> updated the release notes but not the site since it's published from the
> master branch.
>
> Please review, I intend to merge the changes and roll the release next
> week.
>
> Emmanuel Bourg
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

garydgregory
Can you please update the Javadocs on the various methods that show Java
versions with examples up to Java 9 to make it clear that the Java 9 use
case is handled?

Thank you,
Gary

On Mon, Oct 9, 2017 at 10:29 AM, Gary Gregory <[hidden email]>
wrote:

> One way to test isJavaVersionAtLeast for sure would be to install lang
> 2.7 locally and, for example, take the current [configuration] 2.2 RC and
> update the POM to use [lang] 2.7 with the Maven Site plugin. The Maven Site
> plugin 3.6 currently blows up on isJavaVersionAtLeast.
>
> Gary
>
> On Mon, Oct 9, 2017 at 7:39 AM, Emmanuel Bourg <[hidden email]> wrote:
>
>> Le 29/09/2017 à 10:08, Emmanuel Bourg a écrit :
>>
>> > I'd like to prepare a new release of Commons Lang 2 that addresses the
>> > Java 9 compatibility. I have two items in mind for this update, the
>> > automatic module name in the manifest of course, but also the
>> > SystemUtils.isJavaVersionAtLeast() method that is broken with Java 9
>> and
>> > throws an Exception. This would be a minimal update branched off the
>> > latest 2.6 release.
>>
>> I prepared the changes on GitHub:
>>
>>   https://github.com/ebourg/commons-lang/tree/LANG_2_X
>>
>> I started from the 2.x branch since it contained a few fixes worth
>> keeping. The exception I was seeing with SystemUtils
>> isJavaVersionAtLeast() was actually fixed in 2.6, so I just added the
>> automatic module name to the manifest (I used org.apache.commons.lang as
>> name assuming commons-lang3 would use org.apache.commons.lang3). I
>> updated the release notes but not the site since it's published from the
>> master branch.
>>
>> Please review, I intend to merge the changes and roll the release next
>> week.
>>
>> Emmanuel Bourg
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
>>
>
Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

Emmanuel Bourg-3
In reply to this post by garydgregory
Le 9/10/2017 à 18:29, Gary Gregory a écrit :
> One way to test isJavaVersionAtLeast for sure would be to install lang 2.7
> locally and, for example, take the current [configuration] 2.2 RC and
> update the POM to use [lang] 2.7 with the Maven Site plugin. The Maven Site
> plugin 3.6 currently blows up on isJavaVersionAtLeast.

Interesting, what exception do you get with maven-site-plugin?

Emmanuel Bourg

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

garydgregory
On Mon, Oct 9, 2017 at 1:28 PM, Emmanuel Bourg <[hidden email]> wrote:

> Le 9/10/2017 à 18:29, Gary Gregory a écrit :
> > One way to test isJavaVersionAtLeast for sure would be to install lang
> 2.7
> > locally and, for example, take the current [configuration] 2.2 RC and
> > update the POM to use [lang] 2.7 with the Maven Site plugin. The Maven
> Site
> > plugin 3.6 currently blows up on isJavaVersionAtLeast.
>
> Interesting, what exception do you get with maven-site-plugin?
>

C:\temp\rc\commons-configuration2-2.2-src>mvn site
[INFO] Scanning for projects...
[INFO]
[INFO]
------------------------------------------------------------------------
[INFO] Building Apache Commons Configuration 2.2
[INFO]
------------------------------------------------------------------------
[INFO]
[INFO] --- maven-site-plugin:3.6:site (default-site) @
commons-configuration2 ---
[INFO] configuring report plugin
org.apache.maven.plugins:maven-changes-plugin:2.12.1
[WARNING] changes-report report is declared twice in default reportSet
[INFO] configuring report plugin
org.apache.maven.plugins:maven-javadoc-plugin:2.10.4
[WARNING] Error injecting: org.apache.maven.plugin.javadoc.JavadocReport
java.lang.ExceptionInInitializerError
        at
org.apache.maven.plugin.javadoc.AbstractJavadocMojo.<clinit>(AbstractJavadocMojo.java:195)
        at
java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native
Method)
        at
java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
        at
java.base/jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
        at
java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:488)
        at
com.google.inject.internal.DefaultConstructionProxyFactory$1.newInstance(DefaultConstructionProxyFactory.java:86)
        at
com.google.inject.internal.ConstructorInjector.provision(ConstructorInjector.java:105)
        at
com.google.inject.internal.ConstructorInjector.access$000(ConstructorInjector.java:32)
        at
com.google.inject.internal.ConstructorInjector$1.call(ConstructorInjector.java:89)
        at
com.google.inject.internal.ProvisionListenerStackCallback$Provision.provision(ProvisionListenerStackCallback.java:115)
        at
com.google.inject.internal.ProvisionListenerStackCallback$Provision.provision(ProvisionListenerStackCallback.java:133)
        at
com.google.inject.internal.ProvisionListenerStackCallback.provision(ProvisionListenerStackCallback.java:68)
        at
com.google.inject.internal.ConstructorInjector.construct(ConstructorInjector.java:87)
        at
com.google.inject.internal.ConstructorBindingImpl$Factory.get(ConstructorBindingImpl.java:267)
        at
com.google.inject.internal.InjectorImpl$2$1.call(InjectorImpl.java:1016)
        at
com.google.inject.internal.InjectorImpl.callInContext(InjectorImpl.java:1103)
        at
com.google.inject.internal.InjectorImpl$2.get(InjectorImpl.java:1012)
        at
com.google.inject.internal.InjectorImpl.getInstance(InjectorImpl.java:1051)
        at
org.eclipse.sisu.space.AbstractDeferredClass.get(AbstractDeferredClass.java:48)
        at
com.google.inject.internal.ProviderInternalFactory.provision(ProviderInternalFactory.java:81)
        at
com.google.inject.internal.InternalFactoryToInitializableAdapter.provision(InternalFactoryToInitializableAdapter.java:53)
        at
com.google.inject.internal.ProviderInternalFactory$1.call(ProviderInternalFactory.java:65)
        at
com.google.inject.internal.ProvisionListenerStackCallback$Provision.provision(ProvisionListenerStackCallback.java:115)
        at
com.google.inject.internal.ProvisionListenerStackCallback$Provision.provision(ProvisionListenerStackCallback.java:133)
        at
com.google.inject.internal.ProvisionListenerStackCallback.provision(ProvisionListenerStackCallback.java:68)
        at
com.google.inject.internal.ProviderInternalFactory.circularGet(ProviderInternalFactory.java:63)
        at
com.google.inject.internal.InternalFactoryToInitializableAdapter.get(InternalFactoryToInitializableAdapter.java:45)
        at
com.google.inject.internal.InjectorImpl$2$1.call(InjectorImpl.java:1016)
        at
com.google.inject.internal.InjectorImpl.callInContext(InjectorImpl.java:1092)
        at
com.google.inject.internal.InjectorImpl$2.get(InjectorImpl.java:1012)
        at org.eclipse.sisu.inject.Guice4$1.get(Guice4.java:162)
        at
org.eclipse.sisu.inject.LazyBeanEntry.getValue(LazyBeanEntry.java:81)
        at
org.eclipse.sisu.plexus.LazyPlexusBean.getValue(LazyPlexusBean.java:51)
        at
org.codehaus.plexus.DefaultPlexusContainer.lookup(DefaultPlexusContainer.java:263)
        at
org.codehaus.plexus.DefaultPlexusContainer.lookup(DefaultPlexusContainer.java:255)
        at
org.apache.maven.plugin.internal.DefaultMavenPluginManager.getConfiguredMojo(DefaultMavenPluginManager.java:519)
        at
org.apache.maven.reporting.exec.DefaultMavenReportExecutor.getConfiguredMavenReport(DefaultMavenReportExecutor.java:357)
        at
org.apache.maven.reporting.exec.DefaultMavenReportExecutor.prepareReportExecution(DefaultMavenReportExecutor.java:305)
        at
org.apache.maven.reporting.exec.DefaultMavenReportExecutor.buildReportPlugin(DefaultMavenReportExecutor.java:186)
        at
org.apache.maven.reporting.exec.DefaultMavenReportExecutor.buildMavenReports(DefaultMavenReportExecutor.java:151)
        at
org.apache.maven.plugins.site.render.AbstractSiteRenderingMojo.getReports(AbstractSiteRenderingMojo.java:251)
        at
org.apache.maven.plugins.site.render.SiteMojo.execute(SiteMojo.java:115)
        at
org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:134)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:208)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:154)
        at
org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:146)
        at
org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:117)
        at
org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:81)
        at
org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:51)
        at
org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:309)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:194)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:107)
        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:993)
        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:345)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:191)
        at
java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
        at
java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at
java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.base/java.lang.reflect.Method.invoke(Method.java:564)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)
Caused by: java.lang.StringIndexOutOfBoundsException: begin 0, end 3,
length 1
        at java.base/java.lang.String.checkBoundsBeginEnd(String.java:3116)
        at java.base/java.lang.String.substring(String.java:1885)
        at
org.apache.commons.lang.SystemUtils.getJavaVersionAsFloat(SystemUtils.java:1133)
        at
org.apache.commons.lang.SystemUtils.<clinit>(SystemUtils.java:818)
        ... 64 more
[INFO]
------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO]
------------------------------------------------------------------------
[INFO] Total time: 3.980 s
[INFO] Finished at: 2017-10-09T13:53:20-06:00
[INFO] Final Memory: 27M/90M
[INFO]
------------------------------------------------------------------------
[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-site-plugin:3.6:site (default-site) on
project commons-configuration2: Execution default-site of goal
org.apache.maven.plugins:maven-site-plugin:3.6:site failed: An API
incompatibility was encountered while executing
org.apache.maven.plugins:maven-site-plugin:3.6:site:
java.lang.ExceptionInInitializerError: null
[ERROR] -----------------------------------------------------
[ERROR] realm =    plugin>org.apache.maven.plugins:maven-site-plugin:3.6
[ERROR] strategy =
org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
[ERROR] urls[0] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/plugins/maven-site-plugin/3.6/maven-site-plugin-3.6.jar
[ERROR] urls[1] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/wagon/wagon-ssh/2.10/wagon-ssh-2.10.jar
[ERROR] urls[2] =
file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch/0.1.50/jsch-0.1.50.jar
[ERROR] urls[3] =
file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.agentproxy.connector-factory/0.0.6/jsch.agentproxy.connector-factory-0.0.6.jar
[ERROR] urls[4] =
file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.agentproxy.core/0.0.6/jsch.agentproxy.core-0.0.6.jar
[ERROR] urls[5] =
file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.agentproxy.usocket-jna/0.0.6/jsch.agentproxy.usocket-jna-0.0.6.jar
[ERROR] urls[6] =
file:/C:/Users/ggregory/.m2/repository/net/java/dev/jna/jna/3.4.0/jna-3.4.0.jar
[ERROR] urls[7] =
file:/C:/Users/ggregory/.m2/repository/net/java/dev/jna/platform/3.4.0/platform-3.4.0.jar
[ERROR] urls[8] =
file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.agentproxy.usocket-nc/0.0.6/jsch.agentproxy.usocket-nc-0.0.6.jar
[ERROR] urls[9] =
file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.agentproxy.sshagent/0.0.6/jsch.agentproxy.sshagent-0.0.6.jar
[ERROR] urls[10] =
file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.agentproxy.pageant/0.0.6/jsch.agentproxy.pageant-0.0.6.jar
[ERROR] urls[11] =
file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.agentproxy.jsch/0.0.6/jsch.agentproxy.jsch-0.0.6.jar
[ERROR] urls[12] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/wagon/wagon-ssh-common/2.10/wagon-ssh-common-2.10.jar
[ERROR] urls[13] =
file:/C:/Users/ggregory/.m2/repository/org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-6/plexus-interactivity-api-1.0-alpha-6.jar
[ERROR] urls[14] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/reporting/maven-reporting-exec/1.3/maven-reporting-exec-1.3.jar
[ERROR] urls[15] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.jar
[ERROR] urls[16] =
file:/C:/Users/ggregory/.m2/repository/org/sonatype/aether/aether-util/1.7/aether-util-1.7.jar
[ERROR] urls[17] =
file:/C:/Users/ggregory/.m2/repository/org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.jar
[ERROR] urls[18] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/shared/maven-shared-utils/3.1.0/maven-shared-utils-3.1.0.jar
[ERROR] urls[19] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/maven-aether-provider/3.0/maven-aether-provider-3.0.jar
[ERROR] urls[20] =
file:/C:/Users/ggregory/.m2/repository/org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.jar
[ERROR] urls[21] =
file:/C:/Users/ggregory/.m2/repository/org/codehaus/plexus/plexus-component-annotations/1.6/plexus-component-annotations-1.6.jar
[ERROR] urls[22] =
file:/C:/Users/ggregory/.m2/repository/org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.jar
[ERROR] urls[23] =
file:/C:/Users/ggregory/.m2/repository/org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar
[ERROR] urls[24] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/maven-archiver/3.1.1/maven-archiver-3.1.1.jar
[ERROR] urls[25] =
file:/C:/Users/ggregory/.m2/repository/org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.jar
[ERROR] urls[26] =
file:/C:/Users/ggregory/.m2/repository/org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7-noaop.jar
[ERROR] urls[27] =
file:/C:/Users/ggregory/.m2/repository/org/codehaus/plexus/plexus-archiver/3.4/plexus-archiver-3.4.jar
[ERROR] urls[28] =
file:/C:/Users/ggregory/.m2/repository/org/codehaus/plexus/plexus-io/2.7.1/plexus-io-2.7.1.jar
[ERROR] urls[29] =
file:/C:/Users/ggregory/.m2/repository/org/apache/commons/commons-compress/1.11/commons-compress-1.11.jar
[ERROR] urls[30] =
file:/C:/Users/ggregory/.m2/repository/org/iq80/snappy/snappy/0.4/snappy-0.4.jar
[ERROR] urls[31] =
file:/C:/Users/ggregory/.m2/repository/org/tukaani/xz/1.5/xz-1.5.jar
[ERROR] urls[32] =
file:/C:/Users/ggregory/.m2/repository/org/codehaus/plexus/plexus-i18n/1.0-beta-10/plexus-i18n-1.0-beta-10.jar
[ERROR] urls[33] =
file:/C:/Users/ggregory/.m2/repository/org/codehaus/plexus/plexus-utils/3.0.24/plexus-utils-3.0.24.jar
[ERROR] urls[34] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-sink-api/1.7/doxia-sink-api-1.7.jar
[ERROR] urls[35] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-logging-api/1.7/doxia-logging-api-1.7.jar
[ERROR] urls[36] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-module-xhtml/1.7/doxia-module-xhtml-1.7.jar
[ERROR] urls[37] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-core/1.7/doxia-core-1.7.jar
[ERROR] urls[38] =
file:/C:/Users/ggregory/.m2/repository/org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.jar
[ERROR] urls[39] =
file:/C:/Users/ggregory/.m2/repository/commons-codec/commons-codec/1.3/commons-codec-1.3.jar
[ERROR] urls[40] =
file:/C:/Users/ggregory/.m2/repository/org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.jar
[ERROR] urls[41] =
file:/C:/Users/ggregory/.m2/repository/xmlunit/xmlunit/1.5/xmlunit-1.5.jar
[ERROR] urls[42] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-module-apt/1.7/doxia-module-apt-1.7.jar
[ERROR] urls[43] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-module-xdoc/1.7/doxia-module-xdoc-1.7.jar
[ERROR] urls[44] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-module-fml/1.7/doxia-module-fml-1.7.jar
[ERROR] urls[45] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-module-markdown/1.7/doxia-module-markdown-1.7.jar
[ERROR] urls[46] =
file:/C:/Users/ggregory/.m2/repository/org/pegdown/pegdown/1.2.1/pegdown-1.2.1.jar
[ERROR] urls[47] =
file:/C:/Users/ggregory/.m2/repository/org/parboiled/parboiled-java/1.1.4/parboiled-java-1.1.4.jar
[ERROR] urls[48] =
file:/C:/Users/ggregory/.m2/repository/org/parboiled/parboiled-core/1.1.4/parboiled-core-1.1.4.jar
[ERROR] urls[49] =
file:/C:/Users/ggregory/.m2/repository/org/ow2/asm/asm/4.1/asm-4.1.jar
[ERROR] urls[50] =
file:/C:/Users/ggregory/.m2/repository/org/ow2/asm/asm-tree/4.1/asm-tree-4.1.jar
[ERROR] urls[51] =
file:/C:/Users/ggregory/.m2/repository/org/ow2/asm/asm-analysis/4.1/asm-analysis-4.1.jar
[ERROR] urls[52] =
file:/C:/Users/ggregory/.m2/repository/org/ow2/asm/asm-util/4.1/asm-util-4.1.jar
[ERROR] urls[53] =
file:/C:/Users/ggregory/.m2/repository/javax/servlet/servlet-api/2.5/servlet-api-2.5.jar
[ERROR] urls[54] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-decoration-model/1.7.4/doxia-decoration-model-1.7.4.jar
[ERROR] urls[55] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-site-renderer/1.7.4/doxia-site-renderer-1.7.4.jar
[ERROR] urls[56] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-skin-model/1.7.4/doxia-skin-model-1.7.4.jar
[ERROR] urls[57] =
file:/C:/Users/ggregory/.m2/repository/junit/junit/3.8.1/junit-3.8.1.jar
[ERROR] urls[58] =
file:/C:/Users/ggregory/.m2/repository/org/codehaus/plexus/plexus-velocity/1.2/plexus-velocity-1.2.jar
[ERROR] urls[59] =
file:/C:/Users/ggregory/.m2/repository/org/apache/velocity/velocity/1.7/velocity-1.7.jar
[ERROR] urls[60] =
file:/C:/Users/ggregory/.m2/repository/org/apache/velocity/velocity-tools/2.0/velocity-tools-2.0.jar
[ERROR] urls[61] =
file:/C:/Users/ggregory/.m2/repository/commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar
[ERROR] urls[62] =
file:/C:/Users/ggregory/.m2/repository/commons-digester/commons-digester/1.8/commons-digester-1.8.jar
[ERROR] urls[63] =
file:/C:/Users/ggregory/.m2/repository/commons-chain/commons-chain/1.1/commons-chain-1.1.jar
[ERROR] urls[64] =
file:/C:/Users/ggregory/.m2/repository/commons-logging/commons-logging/1.1/commons-logging-1.1.jar
[ERROR] urls[65] =
file:/C:/Users/ggregory/.m2/repository/commons-validator/commons-validator/1.3.1/commons-validator-1.3.1.jar
[ERROR] urls[66] =
file:/C:/Users/ggregory/.m2/repository/dom4j/dom4j/1.1/dom4j-1.1.jar
[ERROR] urls[67] =
file:/C:/Users/ggregory/.m2/repository/oro/oro/2.0.8/oro-2.0.8.jar
[ERROR] urls[68] =
file:/C:/Users/ggregory/.m2/repository/sslext/sslext/1.2-0/sslext-1.2-0.jar
[ERROR] urls[69] =
file:/C:/Users/ggregory/.m2/repository/org/apache/struts/struts-core/1.3.8/struts-core-1.3.8.jar
[ERROR] urls[70] =
file:/C:/Users/ggregory/.m2/repository/antlr/antlr/2.7.2/antlr-2.7.2.jar
[ERROR] urls[71] =
file:/C:/Users/ggregory/.m2/repository/org/apache/struts/struts-taglib/1.3.8/struts-taglib-1.3.8.jar
[ERROR] urls[72] =
file:/C:/Users/ggregory/.m2/repository/org/apache/struts/struts-tiles/1.3.8/struts-tiles-1.3.8.jar
[ERROR] urls[73] =
file:/C:/Users/ggregory/.m2/repository/commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.jar
[ERROR] urls[74] =
file:/C:/Users/ggregory/.m2/repository/commons-lang/commons-lang/2.4/commons-lang-2.4.jar
[ERROR] urls[75] =
file:/C:/Users/ggregory/.m2/repository/org/apache/maven/doxia/doxia-integration-tools/1.7.4/doxia-integration-tools-1.7.4.jar
[ERROR] urls[76] =
file:/C:/Users/ggregory/.m2/repository/org/mortbay/jetty/jetty/6.1.25/jetty-6.1.25.jar
[ERROR] urls[77] =
file:/C:/Users/ggregory/.m2/repository/org/mortbay/jetty/servlet-api/2.5-20081211/servlet-api-2.5-20081211.jar
[ERROR] urls[78] =
file:/C:/Users/ggregory/.m2/repository/org/mortbay/jetty/jetty-util/6.1.25/jetty-util-6.1.25.jar
[ERROR] urls[79] =
file:/C:/Users/ggregory/.m2/repository/org/apache/commons/commons-lang3/3.4/commons-lang3-3.4.jar
[ERROR] urls[80] =
file:/C:/Users/ggregory/.m2/repository/commons-io/commons-io/2.5/commons-io-2.5.jar
[ERROR] Number of foreign imports: 1
[ERROR] import: Entry[import  from realm ClassRealm[maven.api, parent:
null]]
[ERROR]
[ERROR] -----------------------------------------------------
[ERROR] : begin 0, end 3, length 1
[ERROR] -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e
switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions,
please read the following articles:
[ERROR] [Help 1]
http://cwiki.apache.org/confluence/display/MAVEN/PluginContainerException

C:\temp\rc\commons-configuration2-2.2-src>

Gary


>
> Emmanuel Bourg
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

garydgregory
Note that the Doxia site tools plugin has just been updated to use [lang3],
so a new release of the Maven Site plugin should pick it up soon.

Gary

On Mon, Oct 9, 2017 at 1:54 PM, Gary Gregory <[hidden email]> wrote:

>
>
> On Mon, Oct 9, 2017 at 1:28 PM, Emmanuel Bourg <[hidden email]> wrote:
>
>> Le 9/10/2017 à 18:29, Gary Gregory a écrit :
>> > One way to test isJavaVersionAtLeast for sure would be to install lang
>> 2.7
>> > locally and, for example, take the current [configuration] 2.2 RC and
>> > update the POM to use [lang] 2.7 with the Maven Site plugin. The Maven
>> Site
>> > plugin 3.6 currently blows up on isJavaVersionAtLeast.
>>
>> Interesting, what exception do you get with maven-site-plugin?
>>
>
> C:\temp\rc\commons-configuration2-2.2-src>mvn site
> [INFO] Scanning for projects...
> [INFO]
> [INFO] ------------------------------------------------------------
> ------------
> [INFO] Building Apache Commons Configuration 2.2
> [INFO] ------------------------------------------------------------
> ------------
> [INFO]
> [INFO] --- maven-site-plugin:3.6:site (default-site) @
> commons-configuration2 ---
> [INFO] configuring report plugin org.apache.maven.plugins:
> maven-changes-plugin:2.12.1
> [WARNING] changes-report report is declared twice in default reportSet
> [INFO] configuring report plugin org.apache.maven.plugins:
> maven-javadoc-plugin:2.10.4
> [WARNING] Error injecting: org.apache.maven.plugin.javadoc.JavadocReport
> java.lang.ExceptionInInitializerError
>         at org.apache.maven.plugin.javadoc.AbstractJavadocMojo.<
> clinit>(AbstractJavadocMojo.java:195)
>         at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native
> Method)
>         at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.
> newInstance(NativeConstructorAccessorImpl.java:62)
>         at java.base/jdk.internal.reflect.DelegatingConstructorAccessorI
> mpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
>         at java.base/java.lang.reflect.Constructor.newInstance(
> Constructor.java:488)
>         at com.google.inject.internal.DefaultConstructionProxyFactor
> y$1.newInstance(DefaultConstructionProxyFactory.java:86)
>         at com.google.inject.internal.ConstructorInjector.provision(
> ConstructorInjector.java:105)
>         at com.google.inject.internal.ConstructorInjector.access$
> 000(ConstructorInjector.java:32)
>         at com.google.inject.internal.ConstructorInjector$1.call(
> ConstructorInjector.java:89)
>         at com.google.inject.internal.ProvisionListenerStackCallback
> $Provision.provision(ProvisionListenerStackCallback.java:115)
>         at com.google.inject.internal.ProvisionListenerStackCallback
> $Provision.provision(ProvisionListenerStackCallback.java:133)
>         at com.google.inject.internal.ProvisionListenerStackCallback
> .provision(ProvisionListenerStackCallback.java:68)
>         at com.google.inject.internal.ConstructorInjector.construct(
> ConstructorInjector.java:87)
>         at com.google.inject.internal.ConstructorBindingImpl$Factory.get(
> ConstructorBindingImpl.java:267)
>         at com.google.inject.internal.InjectorImpl$2$1.call(
> InjectorImpl.java:1016)
>         at com.google.inject.internal.InjectorImpl.callInContext(
> InjectorImpl.java:1103)
>         at com.google.inject.internal.InjectorImpl$2.get(
> InjectorImpl.java:1012)
>         at com.google.inject.internal.InjectorImpl.getInstance(
> InjectorImpl.java:1051)
>         at org.eclipse.sisu.space.AbstractDeferredClass.get(
> AbstractDeferredClass.java:48)
>         at com.google.inject.internal.ProviderInternalFactory.provision(
> ProviderInternalFactory.java:81)
>         at com.google.inject.internal.InternalFactoryToInitializable
> Adapter.provision(InternalFactoryToInitializableAdapter.java:53)
>         at com.google.inject.internal.ProviderInternalFactory$1.
> call(ProviderInternalFactory.java:65)
>         at com.google.inject.internal.ProvisionListenerStackCallback
> $Provision.provision(ProvisionListenerStackCallback.java:115)
>         at com.google.inject.internal.ProvisionListenerStackCallback
> $Provision.provision(ProvisionListenerStackCallback.java:133)
>         at com.google.inject.internal.ProvisionListenerStackCallback
> .provision(ProvisionListenerStackCallback.java:68)
>         at com.google.inject.internal.ProviderInternalFactory.circularGet(
> ProviderInternalFactory.java:63)
>         at com.google.inject.internal.InternalFactoryToInitializable
> Adapter.get(InternalFactoryToInitializableAdapter.java:45)
>         at com.google.inject.internal.InjectorImpl$2$1.call(
> InjectorImpl.java:1016)
>         at com.google.inject.internal.InjectorImpl.callInContext(
> InjectorImpl.java:1092)
>         at com.google.inject.internal.InjectorImpl$2.get(
> InjectorImpl.java:1012)
>         at org.eclipse.sisu.inject.Guice4$1.get(Guice4.java:162)
>         at org.eclipse.sisu.inject.LazyBeanEntry.getValue(
> LazyBeanEntry.java:81)
>         at org.eclipse.sisu.plexus.LazyPlexusBean.getValue(
> LazyPlexusBean.java:51)
>         at org.codehaus.plexus.DefaultPlexusContainer.lookup(
> DefaultPlexusContainer.java:263)
>         at org.codehaus.plexus.DefaultPlexusContainer.lookup(
> DefaultPlexusContainer.java:255)
>         at org.apache.maven.plugin.internal.DefaultMavenPluginManager.
> getConfiguredMojo(DefaultMavenPluginManager.java:519)
>         at org.apache.maven.reporting.exec.DefaultMavenReportExecutor.
> getConfiguredMavenReport(DefaultMavenReportExecutor.java:357)
>         at org.apache.maven.reporting.exec.DefaultMavenReportExecutor.
> prepareReportExecution(DefaultMavenReportExecutor.java:305)
>         at org.apache.maven.reporting.exec.DefaultMavenReportExecutor.
> buildReportPlugin(DefaultMavenReportExecutor.java:186)
>         at org.apache.maven.reporting.exec.DefaultMavenReportExecutor.
> buildMavenReports(DefaultMavenReportExecutor.java:151)
>         at org.apache.maven.plugins.site.render.AbstractSiteRenderingMojo.
> getReports(AbstractSiteRenderingMojo.java:251)
>         at org.apache.maven.plugins.site.render.SiteMojo.execute(
> SiteMojo.java:115)
>         at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(
> DefaultBuildPluginManager.java:134)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(
> MojoExecutor.java:208)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(
> MojoExecutor.java:154)
>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(
> MojoExecutor.java:146)
>         at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.
> buildProject(LifecycleModuleBuilder.java:117)
>         at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.
> buildProject(LifecycleModuleBuilder.java:81)
>         at org.apache.maven.lifecycle.internal.builder.singlethreaded.
> SingleThreadedBuilder.build(SingleThreadedBuilder.java:51)
>         at org.apache.maven.lifecycle.internal.LifecycleStarter.
> execute(LifecycleStarter.java:128)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:309)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:194)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:107)
>         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:993)
>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:345)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:191)
>         at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native
> Method)
>         at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(
> NativeMethodAccessorImpl.java:62)
>         at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.
> invoke(DelegatingMethodAccessorImpl.java:43)
>         at java.base/java.lang.reflect.Method.invoke(Method.java:564)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.
> launchEnhanced(Launcher.java:289)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.
> launch(Launcher.java:229)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.
> mainWithExitCode(Launcher.java:415)
>         at org.codehaus.plexus.classworlds.launcher.Launcher.
> main(Launcher.java:356)
> Caused by: java.lang.StringIndexOutOfBoundsException: begin 0, end 3,
> length 1
>         at java.base/java.lang.String.checkBoundsBeginEnd(String.
> java:3116)
>         at java.base/java.lang.String.substring(String.java:1885)
>         at org.apache.commons.lang.SystemUtils.getJavaVersionAsFloat(
> SystemUtils.java:1133)
>         at org.apache.commons.lang.SystemUtils.<clinit>(
> SystemUtils.java:818)
>         ... 64 more
> [INFO] ------------------------------------------------------------
> ------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------
> ------------
> [INFO] Total time: 3.980 s
> [INFO] Finished at: 2017-10-09T13:53:20-06:00
> [INFO] Final Memory: 27M/90M
> [INFO] ------------------------------------------------------------
> ------------
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-site-plugin:3.6:site
> (default-site) on project commons-configuration2: Execution default-site of
> goal org.apache.maven.plugins:maven-site-plugin:3.6:site failed: An API
> incompatibility was encountered while executing org.apache.maven.plugins:maven-site-plugin:3.6:site:
> java.lang.ExceptionInInitializerError: null
> [ERROR] -----------------------------------------------------
> [ERROR] realm =    plugin>org.apache.maven.plugins:maven-site-plugin:3.6
> [ERROR] strategy = org.codehaus.plexus.classworlds.strategy.
> SelfFirstStrategy
> [ERROR] urls[0] = file:/C:/Users/ggregory/.m2/repository/org/apache/maven/
> plugins/maven-site-plugin/3.6/maven-site-plugin-3.6.jar
> [ERROR] urls[1] = file:/C:/Users/ggregory/.m2/repository/org/apache/maven/
> wagon/wagon-ssh/2.10/wagon-ssh-2.10.jar
> [ERROR] urls[2] = file:/C:/Users/ggregory/.m2/
> repository/com/jcraft/jsch/0.1.50/jsch-0.1.50.jar
> [ERROR] urls[3] = file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.
> agentproxy.connector-factory/0.0.6/jsch.agentproxy.
> connector-factory-0.0.6.jar
> [ERROR] urls[4] = file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.
> agentproxy.core/0.0.6/jsch.agentproxy.core-0.0.6.jar
> [ERROR] urls[5] = file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.
> agentproxy.usocket-jna/0.0.6/jsch.agentproxy.usocket-jna-0.0.6.jar
> [ERROR] urls[6] = file:/C:/Users/ggregory/.m2/repository/net/java/dev/jna/
> jna/3.4.0/jna-3.4.0.jar
> [ERROR] urls[7] = file:/C:/Users/ggregory/.m2/repository/net/java/dev/jna/
> platform/3.4.0/platform-3.4.0.jar
> [ERROR] urls[8] = file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.
> agentproxy.usocket-nc/0.0.6/jsch.agentproxy.usocket-nc-0.0.6.jar
> [ERROR] urls[9] = file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.
> agentproxy.sshagent/0.0.6/jsch.agentproxy.sshagent-0.0.6.jar
> [ERROR] urls[10] = file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.
> agentproxy.pageant/0.0.6/jsch.agentproxy.pageant-0.0.6.jar
> [ERROR] urls[11] = file:/C:/Users/ggregory/.m2/repository/com/jcraft/jsch.
> agentproxy.jsch/0.0.6/jsch.agentproxy.jsch-0.0.6.jar
> [ERROR] urls[12] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/wagon/wagon-ssh-common/2.10/
> wagon-ssh-common-2.10.jar
> [ERROR] urls[13] = file:/C:/Users/ggregory/.m2/repository/org/codehaus/
> plexus/plexus-interactivity-api/1.0-alpha-6/plexus-
> interactivity-api-1.0-alpha-6.jar
> [ERROR] urls[14] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/reporting/maven-reporting-
> exec/1.3/maven-reporting-exec-1.3.jar
> [ERROR] urls[15] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/reporting/maven-reporting-api/
> 3.0/maven-reporting-api-3.0.jar
> [ERROR] urls[16] = file:/C:/Users/ggregory/.m2/repository/org/sonatype/
> aether/aether-util/1.7/aether-util-1.7.jar
> [ERROR] urls[17] = file:/C:/Users/ggregory/.m2/
> repository/org/eclipse/aether/aether-util/0.9.0.M2/aether-
> util-0.9.0.M2.jar
> [ERROR] urls[18] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/shared/maven-shared-utils/3.1.
> 0/maven-shared-utils-3.1.0.jar
> [ERROR] urls[19] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/maven-aether-provider/3.0/
> maven-aether-provider-3.0.jar
> [ERROR] urls[20] = file:/C:/Users/ggregory/.m2/repository/org/codehaus/
> plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.jar
> [ERROR] urls[21] = file:/C:/Users/ggregory/.m2/repository/org/codehaus/
> plexus/plexus-component-annotations/1.6/plexus-
> component-annotations-1.6.jar
> [ERROR] urls[22] = file:/C:/Users/ggregory/.m2/repository/org/sonatype/
> plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.jar
> [ERROR] urls[23] = file:/C:/Users/ggregory/.m2/repository/org/sonatype/
> plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar
> [ERROR] urls[24] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/maven-archiver/3.1.1/maven-archiver-3.1.1.jar
> [ERROR] urls[25] = file:/C:/Users/ggregory/.m2/
> repository/org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-
> inject-bean-1.4.2.jar
> [ERROR] urls[26] = file:/C:/Users/ggregory/.m2/
> repository/org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7-noaop.jar
> [ERROR] urls[27] = file:/C:/Users/ggregory/.m2/repository/org/codehaus/
> plexus/plexus-archiver/3.4/plexus-archiver-3.4.jar
> [ERROR] urls[28] = file:/C:/Users/ggregory/.m2/repository/org/codehaus/
> plexus/plexus-io/2.7.1/plexus-io-2.7.1.jar
> [ERROR] urls[29] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/commons/commons-compress/1.11/commons-
> compress-1.11.jar
> [ERROR] urls[30] = file:/C:/Users/ggregory/.m2/repository/org/iq80/snappy/
> snappy/0.4/snappy-0.4.jar
> [ERROR] urls[31] = file:/C:/Users/ggregory/.m2/
> repository/org/tukaani/xz/1.5/xz-1.5.jar
> [ERROR] urls[32] = file:/C:/Users/ggregory/.m2/repository/org/codehaus/
> plexus/plexus-i18n/1.0-beta-10/plexus-i18n-1.0-beta-10.jar
> [ERROR] urls[33] = file:/C:/Users/ggregory/.m2/repository/org/codehaus/
> plexus/plexus-utils/3.0.24/plexus-utils-3.0.24.jar
> [ERROR] urls[34] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-sink-api/1.7/
> doxia-sink-api-1.7.jar
> [ERROR] urls[35] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-logging-api/1.7/
> doxia-logging-api-1.7.jar
> [ERROR] urls[36] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-module-xhtml/1.7/
> doxia-module-xhtml-1.7.jar
> [ERROR] urls[37] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-core/1.7/doxia-core-1.7.jar
> [ERROR] urls[38] = file:/C:/Users/ggregory/.m2/repository/org/apache/
> httpcomponents/httpclient/4.0.2/httpclient-4.0.2.jar
> [ERROR] urls[39] = file:/C:/Users/ggregory/.m2/repository/commons-codec/
> commons-codec/1.3/commons-codec-1.3.jar
> [ERROR] urls[40] = file:/C:/Users/ggregory/.m2/repository/org/apache/
> httpcomponents/httpcore/4.0.1/httpcore-4.0.1.jar
> [ERROR] urls[41] = file:/C:/Users/ggregory/.m2/
> repository/xmlunit/xmlunit/1.5/xmlunit-1.5.jar
> [ERROR] urls[42] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-module-apt/1.7/
> doxia-module-apt-1.7.jar
> [ERROR] urls[43] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-module-xdoc/1.7/
> doxia-module-xdoc-1.7.jar
> [ERROR] urls[44] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-module-fml/1.7/
> doxia-module-fml-1.7.jar
> [ERROR] urls[45] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-module-markdown/1.
> 7/doxia-module-markdown-1.7.jar
> [ERROR] urls[46] = file:/C:/Users/ggregory/.m2/repository/org/pegdown/
> pegdown/1.2.1/pegdown-1.2.1.jar
> [ERROR] urls[47] = file:/C:/Users/ggregory/.m2/repository/org/parboiled/
> parboiled-java/1.1.4/parboiled-java-1.1.4.jar
> [ERROR] urls[48] = file:/C:/Users/ggregory/.m2/repository/org/parboiled/
> parboiled-core/1.1.4/parboiled-core-1.1.4.jar
> [ERROR] urls[49] = file:/C:/Users/ggregory/.m2/
> repository/org/ow2/asm/asm/4.1/asm-4.1.jar
> [ERROR] urls[50] = file:/C:/Users/ggregory/.m2/repository/org/ow2/asm/asm-
> tree/4.1/asm-tree-4.1.jar
> [ERROR] urls[51] = file:/C:/Users/ggregory/.m2/repository/org/ow2/asm/asm-
> analysis/4.1/asm-analysis-4.1.jar
> [ERROR] urls[52] = file:/C:/Users/ggregory/.m2/repository/org/ow2/asm/asm-
> util/4.1/asm-util-4.1.jar
> [ERROR] urls[53] = file:/C:/Users/ggregory/.m2/repository/javax/servlet/
> servlet-api/2.5/servlet-api-2.5.jar
> [ERROR] urls[54] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-decoration-model/
> 1.7.4/doxia-decoration-model-1.7.4.jar
> [ERROR] urls[55] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-site-renderer/1.7.
> 4/doxia-site-renderer-1.7.4.jar
> [ERROR] urls[56] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-skin-model/1.7.4/
> doxia-skin-model-1.7.4.jar
> [ERROR] urls[57] = file:/C:/Users/ggregory/.m2/
> repository/junit/junit/3.8.1/junit-3.8.1.jar
> [ERROR] urls[58] = file:/C:/Users/ggregory/.m2/repository/org/codehaus/
> plexus/plexus-velocity/1.2/plexus-velocity-1.2.jar
> [ERROR] urls[59] = file:/C:/Users/ggregory/.m2/repository/org/apache/
> velocity/velocity/1.7/velocity-1.7.jar
> [ERROR] urls[60] = file:/C:/Users/ggregory/.m2/repository/org/apache/
> velocity/velocity-tools/2.0/velocity-tools-2.0.jar
> [ERROR] urls[61] = file:/C:/Users/ggregory/.m2/
> repository/commons-beanutils/commons-beanutils/1.7.0/
> commons-beanutils-1.7.0.jar
> [ERROR] urls[62] = file:/C:/Users/ggregory/.m2/
> repository/commons-digester/commons-digester/1.8/commons-digester-1.8.jar
> [ERROR] urls[63] = file:/C:/Users/ggregory/.m2/repository/commons-chain/
> commons-chain/1.1/commons-chain-1.1.jar
> [ERROR] urls[64] = file:/C:/Users/ggregory/.m2/repository/commons-logging/
> commons-logging/1.1/commons-logging-1.1.jar
> [ERROR] urls[65] = file:/C:/Users/ggregory/.m2/
> repository/commons-validator/commons-validator/1.3.1/
> commons-validator-1.3.1.jar
> [ERROR] urls[66] = file:/C:/Users/ggregory/.m2/repository/dom4j/dom4j/1.1/
> dom4j-1.1.jar
> [ERROR] urls[67] = file:/C:/Users/ggregory/.m2/
> repository/oro/oro/2.0.8/oro-2.0.8.jar
> [ERROR] urls[68] = file:/C:/Users/ggregory/.m2/
> repository/sslext/sslext/1.2-0/sslext-1.2-0.jar
> [ERROR] urls[69] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/struts/struts-core/1.3.8/struts-core-1.3.8.jar
> [ERROR] urls[70] = file:/C:/Users/ggregory/.m2/
> repository/antlr/antlr/2.7.2/antlr-2.7.2.jar
> [ERROR] urls[71] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/struts/struts-taglib/1.3.8/struts-taglib-1.3.8.jar
> [ERROR] urls[72] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/struts/struts-tiles/1.3.8/struts-tiles-1.3.8.jar
> [ERROR] urls[73] = file:/C:/Users/ggregory/.m2/repository/commons-
> collections/commons-collections/3.2.1/commons-collections-3.2.1.jar
> [ERROR] urls[74] = file:/C:/Users/ggregory/.m2/repository/commons-lang/
> commons-lang/2.4/commons-lang-2.4.jar
> [ERROR] urls[75] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/maven/doxia/doxia-integration-tools/
> 1.7.4/doxia-integration-tools-1.7.4.jar
> [ERROR] urls[76] = file:/C:/Users/ggregory/.m2/
> repository/org/mortbay/jetty/jetty/6.1.25/jetty-6.1.25.jar
> [ERROR] urls[77] = file:/C:/Users/ggregory/.m2/
> repository/org/mortbay/jetty/servlet-api/2.5-20081211/
> servlet-api-2.5-20081211.jar
> [ERROR] urls[78] = file:/C:/Users/ggregory/.m2/
> repository/org/mortbay/jetty/jetty-util/6.1.25/jetty-util-6.1.25.jar
> [ERROR] urls[79] = file:/C:/Users/ggregory/.m2/
> repository/org/apache/commons/commons-lang3/3.4/commons-lang3-3.4.jar
> [ERROR] urls[80] = file:/C:/Users/ggregory/.m2/
> repository/commons-io/commons-io/2.5/commons-io-2.5.jar
> [ERROR] Number of foreign imports: 1
> [ERROR] import: Entry[import  from realm ClassRealm[maven.api, parent:
> null]]
> [ERROR]
> [ERROR] -----------------------------------------------------
> [ERROR] : begin 0, end 3, length 1
> [ERROR] -> [Help 1]
> [ERROR]
> [ERROR] To see the full stack trace of the errors, re-run Maven with the
> -e switch.
> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> [ERROR]
> [ERROR] For more information about the errors and possible solutions,
> please read the following articles:
> [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/
> PluginContainerException
>
> C:\temp\rc\commons-configuration2-2.2-src>
>
> Gary
>
>
>>
>> Emmanuel Bourg
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
>>
>
Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

garydgregory
The error also shows commons-lang-2.4 in use, not 2.6.

Gary

On Mon, Oct 9, 2017 at 2:06 PM, Gary Gregory <[hidden email]> wrote:

> Note that the Doxia site tools plugin has just been updated to use
> [lang3], so a new release of the Maven Site plugin should pick it up soon.
>
> Gary
>
> On Mon, Oct 9, 2017 at 1:54 PM, Gary Gregory <[hidden email]>
> wrote:
>
>>
>>
>> On Mon, Oct 9, 2017 at 1:28 PM, Emmanuel Bourg <[hidden email]> wrote:
>>
>>> Le 9/10/2017 à 18:29, Gary Gregory a écrit :
>>> > One way to test isJavaVersionAtLeast for sure would be to install lang
>>> 2.7
>>> > locally and, for example, take the current [configuration] 2.2 RC and
>>> > update the POM to use [lang] 2.7 with the Maven Site plugin. The Maven
>>> Site
>>> > plugin 3.6 currently blows up on isJavaVersionAtLeast.
>>>
>>> Interesting, what exception do you get with maven-site-plugin?
>>>
>>
>> C:\temp\rc\commons-configuration2-2.2-src>mvn site
>> [INFO] Scanning for projects...
>> [INFO]
>> [INFO] ------------------------------------------------------------
>> ------------
>> [INFO] Building Apache Commons Configuration 2.2
>> [INFO] ------------------------------------------------------------
>> ------------
>> [INFO]
>> [INFO] --- maven-site-plugin:3.6:site (default-site) @
>> commons-configuration2 ---
>> [INFO] configuring report plugin org.apache.maven.plugins:maven
>> -changes-plugin:2.12.1
>> [WARNING] changes-report report is declared twice in default reportSet
>> [INFO] configuring report plugin org.apache.maven.plugins:maven
>> -javadoc-plugin:2.10.4
>> [WARNING] Error injecting: org.apache.maven.plugin.javadoc.JavadocReport
>> java.lang.ExceptionInInitializerError
>>         at org.apache.maven.plugin.javadoc.AbstractJavadocMojo.<clinit>
>> (AbstractJavadocMojo.java:195)
>>         at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native
>> Method)
>>         at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl
>> .newInstance(NativeConstructorAccessorImpl.java:62)
>>         at java.base/jdk.internal.reflect.DelegatingConstructorAccessor
>> Impl.newInstance(DelegatingConstructorAccessorImpl.java:45)
>>         at java.base/java.lang.reflect.Constructor.newInstance(Construc
>> tor.java:488)
>>         at com.google.inject.internal.DefaultConstructionProxyFactory$
>> 1.newInstance(DefaultConstructionProxyFactory.java:86)
>>         at com.google.inject.internal.ConstructorInjector.provision(Con
>> structorInjector.java:105)
>>         at com.google.inject.internal.ConstructorInjector.access$000(
>> ConstructorInjector.java:32)
>>         at com.google.inject.internal.ConstructorInjector$1.call(Constr
>> uctorInjector.java:89)
>>         at com.google.inject.internal.ProvisionListenerStackCallback$
>> Provision.provision(ProvisionListenerStackCallback.java:115)
>>         at com.google.inject.internal.ProvisionListenerStackCallback$
>> Provision.provision(ProvisionListenerStackCallback.java:133)
>>         at com.google.inject.internal.ProvisionListenerStackCallback.
>> provision(ProvisionListenerStackCallback.java:68)
>>         at com.google.inject.internal.ConstructorInjector.construct(Con
>> structorInjector.java:87)
>>         at com.google.inject.internal.ConstructorBindingImpl$Factory.
>> get(ConstructorBindingImpl.java:267)
>>         at com.google.inject.internal.InjectorImpl$2$1.call(InjectorImp
>> l.java:1016)
>>         at com.google.inject.internal.InjectorImpl.callInContext(Inject
>> orImpl.java:1103)
>>         at com.google.inject.internal.InjectorImpl$2.get(InjectorImpl.
>> java:1012)
>>         at com.google.inject.internal.InjectorImpl.getInstance(Injector
>> Impl.java:1051)
>>         at org.eclipse.sisu.space.AbstractDeferredClass.get(AbstractDef
>> erredClass.java:48)
>>         at com.google.inject.internal.ProviderInternalFactory.provision
>> (ProviderInternalFactory.java:81)
>>         at com.google.inject.internal.InternalFactoryToInitializableAda
>> pter.provision(InternalFactoryToInitializableAdapter.java:53)
>>         at com.google.inject.internal.ProviderInternalFactory$1.call(
>> ProviderInternalFactory.java:65)
>>         at com.google.inject.internal.ProvisionListenerStackCallback$
>> Provision.provision(ProvisionListenerStackCallback.java:115)
>>         at com.google.inject.internal.ProvisionListenerStackCallback$
>> Provision.provision(ProvisionListenerStackCallback.java:133)
>>         at com.google.inject.internal.ProvisionListenerStackCallback.
>> provision(ProvisionListenerStackCallback.java:68)
>>         at com.google.inject.internal.ProviderInternalFactory.circularG
>> et(ProviderInternalFactory.java:63)
>>         at com.google.inject.internal.InternalFactoryToInitializableAda
>> pter.get(InternalFactoryToInitializableAdapter.java:45)
>>         at com.google.inject.internal.InjectorImpl$2$1.call(InjectorImp
>> l.java:1016)
>>         at com.google.inject.internal.InjectorImpl.callInContext(Inject
>> orImpl.java:1092)
>>         at com.google.inject.internal.InjectorImpl$2.get(InjectorImpl.
>> java:1012)
>>         at org.eclipse.sisu.inject.Guice4$1.get(Guice4.java:162)
>>         at org.eclipse.sisu.inject.LazyBeanEntry.getValue(LazyBeanEntry
>> .java:81)
>>         at org.eclipse.sisu.plexus.LazyPlexusBean.getValue(LazyPlexusBe
>> an.java:51)
>>         at org.codehaus.plexus.DefaultPlexusContainer.lookup(DefaultPle
>> xusContainer.java:263)
>>         at org.codehaus.plexus.DefaultPlexusContainer.lookup(DefaultPle
>> xusContainer.java:255)
>>         at org.apache.maven.plugin.internal.DefaultMavenPluginManager.g
>> etConfiguredMojo(DefaultMavenPluginManager.java:519)
>>         at org.apache.maven.reporting.exec.DefaultMavenReportExecutor.g
>> etConfiguredMavenReport(DefaultMavenReportExecutor.java:357)
>>         at org.apache.maven.reporting.exec.DefaultMavenReportExecutor.p
>> repareReportExecution(DefaultMavenReportExecutor.java:305)
>>         at org.apache.maven.reporting.exec.DefaultMavenReportExecutor.b
>> uildReportPlugin(DefaultMavenReportExecutor.java:186)
>>         at org.apache.maven.reporting.exec.DefaultMavenReportExecutor.b
>> uildMavenReports(DefaultMavenReportExecutor.java:151)
>>         at org.apache.maven.plugins.site.render.AbstractSiteRenderingMo
>> jo.getReports(AbstractSiteRenderingMojo.java:251)
>>         at org.apache.maven.plugins.site.render.SiteMojo.execute(SiteMo
>> jo.java:115)
>>         at org.apache.maven.plugin.DefaultBuildPluginManager.executeMoj
>> o(DefaultBuildPluginManager.java:134)
>>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(Moj
>> oExecutor.java:208)
>>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(Moj
>> oExecutor.java:154)
>>         at org.apache.maven.lifecycle.internal.MojoExecutor.execute(Moj
>> oExecutor.java:146)
>>         at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.b
>> uildProject(LifecycleModuleBuilder.java:117)
>>         at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.b
>> uildProject(LifecycleModuleBuilder.java:81)
>>         at org.apache.maven.lifecycle.internal.builder.singlethreaded.S
>> ingleThreadedBuilder.build(SingleThreadedBuilder.java:51)
>>         at org.apache.maven.lifecycle.internal.LifecycleStarter.execute
>> (LifecycleStarter.java:128)
>>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:309)
>>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:194)
>>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:107)
>>         at org.apache.maven.cli.MavenCli.execute(MavenCli.java:993)
>>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:345)
>>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:191)
>>         at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native
>> Method)
>>         at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invo
>> ke(NativeMethodAccessorImpl.java:62)
>>         at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.
>> invoke(DelegatingMethodAccessorImpl.java:43)
>>         at java.base/java.lang.reflect.Method.invoke(Method.java:564)
>>         at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnha
>> nced(Launcher.java:289)
>>         at org.codehaus.plexus.classworlds.launcher.Launcher.launch(
>> Launcher.java:229)
>>         at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithEx
>> itCode(Launcher.java:415)
>>         at org.codehaus.plexus.classworlds.launcher.Launcher.main(
>> Launcher.java:356)
>> Caused by: java.lang.StringIndexOutOfBoundsException: begin 0, end 3,
>> length 1
>>         at java.base/java.lang.String.checkBoundsBeginEnd(String.java:
>> 3116)
>>         at java.base/java.lang.String.substring(String.java:1885)
>>         at org.apache.commons.lang.SystemUtils.getJavaVersionAsFloat(Sy
>> stemUtils.java:1133)
>>         at org.apache.commons.lang.SystemUtils.<clinit>(SystemUtils.
>> java:818)
>>         ... 64 more
>> [INFO] ------------------------------------------------------------
>> ------------
>> [INFO] BUILD FAILURE
>> [INFO] ------------------------------------------------------------
>> ------------
>> [INFO] Total time: 3.980 s
>> [INFO] Finished at: 2017-10-09T13:53:20-06:00
>> [INFO] Final Memory: 27M/90M
>> [INFO] ------------------------------------------------------------
>> ------------
>> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-site-plugin:3.6:site
>> (default-site) on project commons-configuration2: Execution default-site of
>> goal org.apache.maven.plugins:maven-site-plugin:3.6:site failed: An API
>> incompatibility was encountered while executing
>> org.apache.maven.plugins:maven-site-plugin:3.6:site:
>> java.lang.ExceptionInInitializerError: null
>> [ERROR] -----------------------------------------------------
>> [ERROR] realm =    plugin>org.apache.maven.plugins:maven-site-plugin:3.6
>> [ERROR] strategy = org.codehaus.plexus.classworld
>> s.strategy.SelfFirstStrategy
>> [ERROR] urls[0] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/plugins/maven-site-plugin/3.6/mave
>> n-site-plugin-3.6.jar
>> [ERROR] urls[1] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/wagon/wagon-ssh/2.10/wagon-ssh-2.10.jar
>> [ERROR] urls[2] = file:/C:/Users/ggregory/.m2/re
>> pository/com/jcraft/jsch/0.1.50/jsch-0.1.50.jar
>> [ERROR] urls[3] = file:/C:/Users/ggregory/.m2/re
>> pository/com/jcraft/jsch.agentproxy.connector-factory/0.0.6/
>> jsch.agentproxy.connector-factory-0.0.6.jar
>> [ERROR] urls[4] = file:/C:/Users/ggregory/.m2/re
>> pository/com/jcraft/jsch.agentproxy.core/0.0.6/jsch.agentpro
>> xy.core-0.0.6.jar
>> [ERROR] urls[5] = file:/C:/Users/ggregory/.m2/re
>> pository/com/jcraft/jsch.agentproxy.usocket-jna/0.0.6/jsch.
>> agentproxy.usocket-jna-0.0.6.jar
>> [ERROR] urls[6] = file:/C:/Users/ggregory/.m2/re
>> pository/net/java/dev/jna/jna/3.4.0/jna-3.4.0.jar
>> [ERROR] urls[7] = file:/C:/Users/ggregory/.m2/re
>> pository/net/java/dev/jna/platform/3.4.0/platform-3.4.0.jar
>> [ERROR] urls[8] = file:/C:/Users/ggregory/.m2/re
>> pository/com/jcraft/jsch.agentproxy.usocket-nc/0.0.6/jsch.
>> agentproxy.usocket-nc-0.0.6.jar
>> [ERROR] urls[9] = file:/C:/Users/ggregory/.m2/re
>> pository/com/jcraft/jsch.agentproxy.sshagent/0.0.6/jsch.
>> agentproxy.sshagent-0.0.6.jar
>> [ERROR] urls[10] = file:/C:/Users/ggregory/.m2/re
>> pository/com/jcraft/jsch.agentproxy.pageant/0.0.6/jsch.agent
>> proxy.pageant-0.0.6.jar
>> [ERROR] urls[11] = file:/C:/Users/ggregory/.m2/re
>> pository/com/jcraft/jsch.agentproxy.jsch/0.0.6/jsch.agentpro
>> xy.jsch-0.0.6.jar
>> [ERROR] urls[12] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/wagon/wagon-ssh-common/2.10/wagon-
>> ssh-common-2.10.jar
>> [ERROR] urls[13] = file:/C:/Users/ggregory/.m2/re
>> pository/org/codehaus/plexus/plexus-interactivity-api/1.0-
>> alpha-6/plexus-interactivity-api-1.0-alpha-6.jar
>> [ERROR] urls[14] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/reporting/maven-reporting-exec/1.
>> 3/maven-reporting-exec-1.3.jar
>> [ERROR] urls[15] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/reporting/maven-reporting-api/3.0/
>> maven-reporting-api-3.0.jar
>> [ERROR] urls[16] = file:/C:/Users/ggregory/.m2/re
>> pository/org/sonatype/aether/aether-util/1.7/aether-util-1.7.jar
>> [ERROR] urls[17] = file:/C:/Users/ggregory/.m2/re
>> pository/org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.jar
>> [ERROR] urls[18] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/shared/maven-shared-utils/3.1.0/
>> maven-shared-utils-3.1.0.jar
>> [ERROR] urls[19] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/maven-aether-provider/3.0/maven-
>> aether-provider-3.0.jar
>> [ERROR] urls[20] = file:/C:/Users/ggregory/.m2/re
>> pository/org/codehaus/plexus/plexus-interpolation/1.14/
>> plexus-interpolation-1.14.jar
>> [ERROR] urls[21] = file:/C:/Users/ggregory/.m2/re
>> pository/org/codehaus/plexus/plexus-component-annotations/
>> 1.6/plexus-component-annotations-1.6.jar
>> [ERROR] urls[22] = file:/C:/Users/ggregory/.m2/re
>> pository/org/sonatype/plexus/plexus-sec-dispatcher/1.3/
>> plexus-sec-dispatcher-1.3.jar
>> [ERROR] urls[23] = file:/C:/Users/ggregory/.m2/re
>> pository/org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar
>> [ERROR] urls[24] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/maven-archiver/3.1.1/maven-archiver-3.1.1.jar
>> [ERROR] urls[25] = file:/C:/Users/ggregory/.m2/re
>> pository/org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-injec
>> t-bean-1.4.2.jar
>> [ERROR] urls[26] = file:/C:/Users/ggregory/.m2/re
>> pository/org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7-noaop.jar
>> [ERROR] urls[27] = file:/C:/Users/ggregory/.m2/re
>> pository/org/codehaus/plexus/plexus-archiver/3.4/plexus-archiver-3.4.jar
>> [ERROR] urls[28] = file:/C:/Users/ggregory/.m2/re
>> pository/org/codehaus/plexus/plexus-io/2.7.1/plexus-io-2.7.1.jar
>> [ERROR] urls[29] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/commons/commons-compress/1.11/commons-co
>> mpress-1.11.jar
>> [ERROR] urls[30] = file:/C:/Users/ggregory/.m2/re
>> pository/org/iq80/snappy/snappy/0.4/snappy-0.4.jar
>> [ERROR] urls[31] = file:/C:/Users/ggregory/.m2/re
>> pository/org/tukaani/xz/1.5/xz-1.5.jar
>> [ERROR] urls[32] = file:/C:/Users/ggregory/.m2/re
>> pository/org/codehaus/plexus/plexus-i18n/1.0-beta-10/
>> plexus-i18n-1.0-beta-10.jar
>> [ERROR] urls[33] = file:/C:/Users/ggregory/.m2/re
>> pository/org/codehaus/plexus/plexus-utils/3.0.24/plexus-utils-3.0.24.jar
>> [ERROR] urls[34] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-sink-api/1.7/doxia-sink-api-1.7.jar
>> [ERROR] urls[35] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-logging-api/1.7/doxia-
>> logging-api-1.7.jar
>> [ERROR] urls[36] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-module-xhtml/1.7/doxia
>> -module-xhtml-1.7.jar
>> [ERROR] urls[37] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-core/1.7/doxia-core-1.7.jar
>> [ERROR] urls[38] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.jar
>> [ERROR] urls[39] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-codec/commons-codec/1.3/commons-codec-1.3.jar
>> [ERROR] urls[40] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.jar
>> [ERROR] urls[41] = file:/C:/Users/ggregory/.m2/re
>> pository/xmlunit/xmlunit/1.5/xmlunit-1.5.jar
>> [ERROR] urls[42] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-module-apt/1.7/doxia-
>> module-apt-1.7.jar
>> [ERROR] urls[43] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-module-xdoc/1.7/doxia-
>> module-xdoc-1.7.jar
>> [ERROR] urls[44] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-module-fml/1.7/doxia-
>> module-fml-1.7.jar
>> [ERROR] urls[45] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-module-markdown/1.7/
>> doxia-module-markdown-1.7.jar
>> [ERROR] urls[46] = file:/C:/Users/ggregory/.m2/re
>> pository/org/pegdown/pegdown/1.2.1/pegdown-1.2.1.jar
>> [ERROR] urls[47] = file:/C:/Users/ggregory/.m2/re
>> pository/org/parboiled/parboiled-java/1.1.4/parboiled-java-1.1.4.jar
>> [ERROR] urls[48] = file:/C:/Users/ggregory/.m2/re
>> pository/org/parboiled/parboiled-core/1.1.4/parboiled-core-1.1.4.jar
>> [ERROR] urls[49] = file:/C:/Users/ggregory/.m2/re
>> pository/org/ow2/asm/asm/4.1/asm-4.1.jar
>> [ERROR] urls[50] = file:/C:/Users/ggregory/.m2/re
>> pository/org/ow2/asm/asm-tree/4.1/asm-tree-4.1.jar
>> [ERROR] urls[51] = file:/C:/Users/ggregory/.m2/re
>> pository/org/ow2/asm/asm-analysis/4.1/asm-analysis-4.1.jar
>> [ERROR] urls[52] = file:/C:/Users/ggregory/.m2/re
>> pository/org/ow2/asm/asm-util/4.1/asm-util-4.1.jar
>> [ERROR] urls[53] = file:/C:/Users/ggregory/.m2/re
>> pository/javax/servlet/servlet-api/2.5/servlet-api-2.5.jar
>> [ERROR] urls[54] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-decoration-model/1.7.
>> 4/doxia-decoration-model-1.7.4.jar
>> [ERROR] urls[55] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-site-renderer/1.7.4/
>> doxia-site-renderer-1.7.4.jar
>> [ERROR] urls[56] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-skin-model/1.7.4/doxia
>> -skin-model-1.7.4.jar
>> [ERROR] urls[57] = file:/C:/Users/ggregory/.m2/re
>> pository/junit/junit/3.8.1/junit-3.8.1.jar
>> [ERROR] urls[58] = file:/C:/Users/ggregory/.m2/re
>> pository/org/codehaus/plexus/plexus-velocity/1.2/plexus-velocity-1.2.jar
>> [ERROR] urls[59] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/velocity/velocity/1.7/velocity-1.7.jar
>> [ERROR] urls[60] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/velocity/velocity-tools/2.0/velocity-tools-2.0.jar
>> [ERROR] urls[61] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-beanutils/commons-beanutils/1.7.0/commons-
>> beanutils-1.7.0.jar
>> [ERROR] urls[62] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-digester/commons-digester/1.8/commons-digester-1.8.jar
>> [ERROR] urls[63] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-chain/commons-chain/1.1/commons-chain-1.1.jar
>> [ERROR] urls[64] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-logging/commons-logging/1.1/commons-logging-1.1.jar
>> [ERROR] urls[65] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-validator/commons-validator/1.3.1/commons-
>> validator-1.3.1.jar
>> [ERROR] urls[66] = file:/C:/Users/ggregory/.m2/re
>> pository/dom4j/dom4j/1.1/dom4j-1.1.jar
>> [ERROR] urls[67] = file:/C:/Users/ggregory/.m2/re
>> pository/oro/oro/2.0.8/oro-2.0.8.jar
>> [ERROR] urls[68] = file:/C:/Users/ggregory/.m2/re
>> pository/sslext/sslext/1.2-0/sslext-1.2-0.jar
>> [ERROR] urls[69] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/struts/struts-core/1.3.8/struts-core-1.3.8.jar
>> [ERROR] urls[70] = file:/C:/Users/ggregory/.m2/re
>> pository/antlr/antlr/2.7.2/antlr-2.7.2.jar
>> [ERROR] urls[71] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/struts/struts-taglib/1.3.8/struts-taglib-1.3.8.jar
>> [ERROR] urls[72] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/struts/struts-tiles/1.3.8/struts-tiles-1.3.8.jar
>> [ERROR] urls[73] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-collections/commons-collections/3.2.1/
>> commons-collections-3.2.1.jar
>> [ERROR] urls[74] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-lang/commons-lang/2.4/commons-lang-2.4.jar
>> [ERROR] urls[75] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/maven/doxia/doxia-integration-tools/1.7.
>> 4/doxia-integration-tools-1.7.4.jar
>> [ERROR] urls[76] = file:/C:/Users/ggregory/.m2/re
>> pository/org/mortbay/jetty/jetty/6.1.25/jetty-6.1.25.jar
>> [ERROR] urls[77] = file:/C:/Users/ggregory/.m2/re
>> pository/org/mortbay/jetty/servlet-api/2.5-20081211/servlet-
>> api-2.5-20081211.jar
>> [ERROR] urls[78] = file:/C:/Users/ggregory/.m2/re
>> pository/org/mortbay/jetty/jetty-util/6.1.25/jetty-util-6.1.25.jar
>> [ERROR] urls[79] = file:/C:/Users/ggregory/.m2/re
>> pository/org/apache/commons/commons-lang3/3.4/commons-lang3-3.4.jar
>> [ERROR] urls[80] = file:/C:/Users/ggregory/.m2/re
>> pository/commons-io/commons-io/2.5/commons-io-2.5.jar
>> [ERROR] Number of foreign imports: 1
>> [ERROR] import: Entry[import  from realm ClassRealm[maven.api, parent:
>> null]]
>> [ERROR]
>> [ERROR] -----------------------------------------------------
>> [ERROR] : begin 0, end 3, length 1
>> [ERROR] -> [Help 1]
>> [ERROR]
>> [ERROR] To see the full stack trace of the errors, re-run Maven with the
>> -e switch.
>> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
>> [ERROR]
>> [ERROR] For more information about the errors and possible solutions,
>> please read the following articles:
>> [ERROR] [Help 1] http://cwiki.apache.org/conflu
>> ence/display/MAVEN/PluginContainerException
>>
>> C:\temp\rc\commons-configuration2-2.2-src>
>>
>> Gary
>>
>>
>>>
>>> Emmanuel Bourg
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: [hidden email]
>>> For additional commands, e-mail: [hidden email]
>>>
>>>
>>
>
Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

Emmanuel Bourg-3
In reply to this post by garydgregory
Thank you for the trace. This error is actually triggered by
maven-javadoc-plugin 2.10.4 which depends on commons-lang 2.5. It should
be fixed in the version 3.0.0. maven-site-plugin 3.6 already uses
commons-lang3.

Emmanuel Bourg


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

Emmanuel Bourg-3
Le 9/10/2017 à 22:15, Emmanuel Bourg a écrit :
> ...by maven-javadoc-plugin 2.10.4 which depends on commons-lang 2.5.

Actually it depends on commons-lang 2.4, not 2.5.

Emmanuel Bourg

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

garydgregory
In reply to this post by Emmanuel Bourg-3
I've been using maven-javadoc-plugin 3.0.0.M1 on other projects and that
works.

Gary

On Mon, Oct 9, 2017 at 2:15 PM, Emmanuel Bourg <[hidden email]> wrote:

> Thank you for the trace. This error is actually triggered by
> maven-javadoc-plugin 2.10.4 which depends on commons-lang 2.5. It should
> be fixed in the version 3.0.0. maven-site-plugin 3.6 already uses
> commons-lang3.
>
> Emmanuel Bourg
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: [lang] Commons Lang 2.x release for Java 9

Emmanuel Bourg-3
In reply to this post by garydgregory
Le 9/10/2017 à 18:32, Gary Gregory a écrit :
> Can you please update the Javadocs on the various methods that show Java
> versions with examples up to Java 9 to make it clear that the Java 9 use
> case is handled?

Good idea, I added some examples to the public methods.

Emmanuel Bourg

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]